blob: f518957588d70e34dfe03cf4d2bb74580a1ac6de [file] [log] [blame]
# Versions of external dependencies used by the gradle plugin.
# For bazel, changes to this file will require
# a re-run of the third_party_build_generator.
activation = com.sun.activation:javax.activation:1.2.0
aether_connector = org.eclipse.aether:aether-connector-basic:1.0.2.v20150114
aether_transport_file = org.eclipse.aether:aether-transport-file:1.0.2.v20150114
aether_transport_http = org.eclipse.aether:aether-transport-http:1.0.2.v20150114
antlr3 = org.antlr:antlr:3.5.2
antlr4 = org.antlr:antlr4:4.5.3
antlr_runtime = org.antlr:antlr-runtime:3.5.2
apache_commons_codec = commons-codec:commons-codec:1.6
apache_commons_io = commons-io:commons-io:2.4
apache_commons_lang = commons-lang:commons-lang:2.6
apache_commons_logging = commons-logging:commons-logging:1.2
apache_compress = org.apache.commons:commons-compress:1.12
apache_httpclient = org.apache.httpcomponents:httpclient:4.2.6
apache_httpmime = org.apache.httpcomponents:httpmime:4.1
apache_maven_aether = org.apache.maven:maven-aether-provider:3.3.9
asm = org.ow2.asm:asm:5.1
asm_analysis = org.ow2.asm:asm-analysis:5.1
asm_commons = org.ow2.asm:asm-commons:5.1
asm_tree = org.ow2.asm:asm-tree:5.1
asm_util = org.ow2.asm:asm-util:5.1
auto_value = com.google.auto.value:auto-value:1.5.2
bouncycastle_pkix = org.bouncycastle:bcpkix-jdk15on:1.56
bouncycastle_prov = org.bouncycastle:bcprov-jdk15on:1.56
bundle_tool = com.android.tools.build:bundletool:0.1.0-alpha01
ecj = org.eclipse.jdt.core.compiler:ecj:4.6.1
fastutil = it.unimi.dsi:fastutil:7.2.0
findbugs_jsr = com.google.code.findbugs:jsr305:3.0.0
groovy = org.codehaus.groovy:groovy-all:2.4.12
grpc = io.grpc:grpc-all:1.0.1
gson = com.google.code.gson:gson:2.7
guava = com.google.guava:guava:22.0
intellij_annotations = org.jetbrains:annotations:13.0
javawriter = com.squareup:javawriter:2.5.0
jcommander = com.beust:jcommander:1.64
javapoet = com.squareup:javapoet:1.8.0
jaxb_runtime = org.glassfish.jaxb:jaxb-runtime:2.2.11
jaxb_xjc = org.glassfish.jaxb:jaxb-xjc:2.2.11
jimfs = com.google.jimfs:jimfs:1.1
jopt = net.sf.jopt-simple:jopt-simple:4.9
json_simple = com.googlecode.json-simple:json-simple:1.1
juniversalchardet = com.googlecode.juniversalchardet:juniversalchardet:1.0.3
gradle_api = org.gradle:gradle-tooling-api:4.4
# kotlin version used to build the plugin. This must stay in sync with
# the version used to build Studio
# To change the version used by test project, update TestUtils.KOTLIN_VERSION_FOR_TESTS
kotlin_gradle_plugin = org.jetbrains.kotlin:kotlin-gradle-plugin:1.2.0
kotlin_reflect = org.jetbrains.kotlin:kotlin-reflect:1.2.0
kotlin_stdlib = org.jetbrains.kotlin:kotlin-stdlib-jre8:1.2.0
kotlin_test = org.jetbrains.kotlin:kotlin-test:1.2.0
kxml = net.sf.kxml:kxml2:2.3.0
proguard = net.sf.proguard:proguard-gradle:5.3.3
# Keep the proto runtime version in sync with the proto compiler version in
# tools/base/bazel/proto.bzl
protobuf = com.google.protobuf:protobuf-java:3.4.0
protobuf_util = com.google.protobuf:protobuf-java-util:3.4.0
transform_api_deprecated = com.android.tools.build:transform-api:2.0.0-deprecated-use-gradle-api
trove4j = org.jetbrains.trove4j:trove4j:20160824
#When updating jacoco versions also update JacocoOptions.DEFAULT_VERSION
jacoco_agent = org.jacoco:org.jacoco.agent:0.7.9
jacoco_core = org.jacoco:org.jacoco.core:0.7.9
jacoco_report = org.jacoco:org.jacoco.report:0.7.9
# Include test dependencies here as well, so that we take them into
# consideration when computing version numbers.
easymock = org.easymock:easymock:3.3
equalsverifier = nl.jqno.equalsverifier:equalsverifier:2.1.5
google_api_client = com.google.api-client:google-api-client:1.22.0
google_storage_client = com.google.apis:google-api-services-storage:v1-rev82-1.22.0
jsoup = org.jsoup:jsoup:1.6.3
junit = junit:junit:4.12
mockito_core = org.mockito:mockito-core:2.7.1
smali_dexlib = org.smali:dexlib2:2.2.1
baksmali_dexlib = org.smali:baksmali:2.2.1
truth = com.google.truth:truth:0.28